# Create

Launch stage: Public Preview

`POST /api/2.0/marketplace-exchange/exchanges`

Create an exchange

API scopes: marketplace

## Request body

- `exchange` (object, optional)
  - `id` (string, optional)
  - `name` (string, optional)
  - `comment` (string, optional)
  - `filters` (array of object, optional)
    - `id` (string, optional)
    - `exchange_id` (string, optional)
    - `filter_value` (string, optional)
    - `name` (string, optional)
    - `created_at` (int64, optional)
    - `created_by` (string, optional)
    - `updated_at` (int64, optional)
    - `updated_by` (string, optional)
    - `filter_type` (string, optional)
      Possible values: `GLOBAL_METASTORE_ID`
  - `created_at` (int64, optional)
  - `created_by` (string, optional)
  - `updated_at` (int64, optional)
  - `updated_by` (string, optional)
  - `linked_listings` (array of object, optional)
    - `id` (string, optional)
    - `exchange_id` (string, optional)
    - `exchange_name` (string, optional)
    - `listing_id` (string, optional)
    - `listing_name` (string, optional)
    - `created_at` (int64, optional)
    - `created_by` (string, optional)

## Returns

- `exchange_id` (string, optional)

## Response

```json
{
  "exchange_id": "string"
}
```

